Apps
Change an app's audience and serving settings (needs apps:publish)
PATCH /v1/apps/{appId}/publication · SDK setAppPublication · CLI deployments app set-publication
PATCH
Requires apps:publish; admits human and service-account callers.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
appId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
audience?stringValue in
"members""public"serving?stringValue in
"single-page""static-site"AppResponse
application/json- response
access*agentDefinitionId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecreatedBy*environmentId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$lifecycle*||||name*stringorganizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$publication*slug*stringupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeurl*stringworkspaceId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$curl -X PATCH "https://example.com/v1/apps/string/publication" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "access": { "organizationMembers": "none" }, "agentDefinitionId": "string", "createdAt": "2019-08-24T14:15:22Z", "createdBy": { "principalId": "string", "runId": "string" }, "environmentId": "string", "id": "string", "lifecycle": { "requestedAt": "2019-08-24T14:15:22Z", "state": "provisioning" }, "name": "string", "organizationId": "string", "projectId": "string", "publication": { "audience": "members", "serving": "single-page" }, "slug": "string", "updatedAt": "2019-08-24T14:15:22Z", "url": "string", "workspaceId": "string"}